# $Revision: 1.29 $, $Date: 2010/11/13 07:35:40 $
#
# Conditional build:
%bcond_without	gtk	# don't build GTK+ tools
#
%include	/usr/lib/rpm/macros.perl
Summary:	Some tools to be used with smart cards and PC/SC
Summary(pl.UTF-8):	Narzędzia do używania z czytnikami Smart Card i PC/SC
Name:		pcsc-tools
Version:	1.4.17
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	http://ludovic.rousseau.free.fr/softwares/pcsc-tools/%{name}-%{version}.tar.gz
# Source0-md5:	2767238e1e737f94d13a91bdab1174ca
# broken builder script, original url:
# http://ludovic.rousseau.free.fr/softwares/pcsc-tools/smartcard_list.txt
Source1:	http://ludovic.rousseau.free.fr/softwares/pcsc-tools/smartcard_list.txt
# NoSource1-md5:	9eecc9881a1b20f50289a760a56da7d3
URL:		http://ludovic.rousseau.free.fr/softwares/pcsc-tools/
BuildRequires:	pcsc-lite-devel >= 1.6.0
BuildRequires:	perl-PCSC >= 1.2.0
%{?with_gtk:BuildRequires:	perl-Gtk2}
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov
Requires:	pcsc-lite-libs >= 1.6.0
Requires:	perl-PCSC >= 1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Some tools to be used with smart cards and PC/SC.

%description -l pl.UTF-8
Narzędzia do używania z czytnikami Smart Card i PC/SC.

%package gtk
Summary:	Some tools for smart cards and PC/SC with GTK+ GUI
Summary(pl.UTF-8):	Narzędzia dla czytników Smart Card i PC/SC z GUI w GTK+
Group:		X11/Applications
Requires:	perl-PCSC >= 1.2.0

%description gtk
Some tools for smart cards and PC/SC with GTK+ GUI.

%description gtk -l pl.UTF-8
Narzędzia dla czytników Smart Card i PC/SC z GUI w GTK+.

%prep
%setup -q

# paranoid check whether smartcard_list.txt in _sourcedir isn't too old
if [ "`wc -l < %{SOURCE1}`" -lt "`wc -l < smartcard_list.txt`" ] ; then
	echo "smartcard_list.txt needs to be updated"
	exit 1
fi
cp -f %{SOURCE1} .

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -DVERSION=\\\"%{version}\\\" -I/usr/include/PCSC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT%{_prefix} \
	MAN="ATR_analysis.1p gscriptor.1p pcsc_scan.1 scriptor.1p"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README TODO
%attr(755,root,root) %{_bindir}/ATR_analysis
%attr(755,root,root) %{_bindir}/pcsc_scan
%attr(755,root,root) %{_bindir}/scriptor
%dir %{_datadir}/pcsc
%{_datadir}/pcsc/smartcard_list.txt
%{_mandir}/man1/ATR_analysis.1p*
%{_mandir}/man1/pcsc_scan.1*
%{_mandir}/man1/scriptor.1p*

%if %{with gtk}
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gscriptor
%{_mandir}/man1/gscriptor.1p*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pcsc-tools.spec,v $
Revision 1.29  2010/11/13 07:35:40  qboosh
- updated to 1.4.17
- updated smartcard_list.txt
- removed obsolete update patch

Revision 1.28  2010/08/08 18:16:30  qboosh
- added update patch (needed for current pcsc-lite)
- updated smartcard_list.txt
- release 2

Revision 1.27  2010/07/26 22:40:04  zbyniu
- up to 1.4.16

Revision 1.26  2009/03/04 22:02:19  arekm
- rel 2

Revision 1.25  2009/03/04 21:58:23  arekm
- up to 1.4.15

Revision 1.24  2008/05/31 15:46:04  qboosh
- updated to 1.4.14
- updated smartcard_list.txt

Revision 1.23  2008-03-01 20:23:40  qboosh
- updated to 1.4.12
- updated smartcard_list.txt

Revision 1.22  2007-11-03 18:19:44  qboosh
- updated to 1.4.11
- udpated smartcard_list.txt

Revision 1.21  2007/08/11 22:24:00  qboosh
- updated to 1.4.10
- updated smartcard_list.txt

Revision 1.20  2007/06/14 19:46:25  qboosh
- updated to 1.4.9
- updated smartcard_list.txt

Revision 1.19  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.17  2006/12/04 09:36:23  qboosh
- updated to 1.4.8, updated smartcard_list.txt

Revision 1.16  2006/10/10 10:18:55  qboosh
- updated to 1.4.7, updated smartcard_list.txt

Revision 1.15  2006/08/18 11:41:34  qboosh
- updated to 1.4.6, updated smartcard_list.txt

Revision 1.14  2006/05/22 12:38:29  glen
- Source1 without url; rel 2

Revision 1.13  2006/05/11 07:33:36  qboosh
- updated to 1.4.5, updated smartcard_list.txt

Revision 1.12  2006/04/05 09:35:23  qboosh
- updated to 1.4.4, updated smartcard_list.txt

Revision 1.11  2006/03/10 20:08:54  qboosh
- updated to 1.4.3, updated smartcard_list.txt

Revision 1.10  2005/06/02 10:27:51  qboosh
- updated to 1.4.1, updated smartcard_list.txt

Revision 1.9  2004/12/02 15:10:44  qboosh
- updated to 1.4.0, updated smartcard_list.txt
- merged -I/usr/include/PCSC (from DEVEL) to support pcsc-lite 1.2.9

Revision 1.8  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.7  2004/08/26 12:04:51  qboosh
- added bcond_without gtk

Revision 1.6  2004/06/22 13:47:22  qboosh
- updated to 1.3.3, updated smartcard_list.txt

Revision 1.5  2003/05/29 10:54:07  adgor
- Removed md5sum for s1 (it's plain text file already stored in cvs)

Revision 1.4  2003/05/28 13:00:17  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/11 10:59:46  qboosh
- update smartcard_list.txt like pci.ids

Revision 1.1  2003/02/27 14:14:13  qboosh
- separated from pcsc-lite.spec
